<?php
   
require APPPATH . 'libraries/REST_Controller.php';
     
class Quizes extends REST_Controller {
    
	  /**
     * Get All Data from this method.
     *
     * @return Response
    */
    public function __construct() {
       parent::__construct();
       $this->load->model('common');
    }
       
	public function index_get($id = 0)
	{
        $data = $this->common->readdatacollection('Quizes');
        
        $this->response($data, REST_Controller::HTTP_OK);
	}
      
    
    public function create_post()
    {
        $input = $this->input->post();
        
        $this->common->addnewdatamodel('Quizes', $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    } 
     
    
    public function update_post($id)
    {
        $input = $this->input->post();
        $this->common->updatedatamodel('Quizes', $id, $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    }
     
    
    public function remove_delete($id)
    {
        $this->common->deletedatamodel('Quizes', $id);
       
        $this->response(['Quiz Comment deleted successfully.'], REST_Controller::HTTP_OK);
    }
    	
}